Skip to main content
`Ctrl`+`K`

# VecNestGetSubVecs

Returns the entire array of vectors defining a nest vector.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecNestGetSubVecs(Vec X, PetscInt *N, Vec *sx[])

Not Collective

## Input Parameter

- X - nest vector

## Output Parameters

- N - number of nested vecs

- sx - array of vectors, can pass in `NULL`

## Note

The user should not free the array `sx`.

## Fortran Notes

The caller must allocate the array to hold the subvectors and pass it in.

## See Also

`VECNEST`, Vectors and Parallel Data, `Vec`, `VecType`, `VecNestGetSize()`, `VecNestGetSubVec()`, `VecNestGetSubVecsRead()`

## Level

developer

## Location

src/vec/vec/impls/nest/vecnest.c

## Implementations

VecNestGetSubVecs_Nest() in src/vec/vec/impls/nest/vecnest.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages